Ticket #31399

Microsoft Word の段落インデントの通知をわかりやすくする

Open Date: 2013-05-20 19:47 Last Update: 2014-06-28 18:17

Reporter: nishimoto Owner: (None)
Type: Feature Requests Status: Closed
Component: (None) MileStone: 2014.3 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2013.1jp にて Microsoft Word のフォントサイズ通知を改善し、段落インデントの通知を追加しましたが、改善すべきことが残っています。

ひとつは、ポイントでの値を pt という単位で通知していることです。 これについては、本家の仕様がそうなっており、もともと翻訳の対象になっていないため、本家版では変更できない部分です。 しかし、点字出力するときに「ポイント」よりも「pt」のほうがマスを節約できるという意見もありそうです。

日本語版で独自に変更するか、ユーザーの皆様からのご意見を伺って判断します。

もう一つは、そもそも「段落インデント」の動作が「フォントサイズの通知」「配置の通知」の両方に依存しており、仕様がわかりにくいということです。

もともと、行の先頭の文字数を数える「インデントの通知」という機能があることも、この機能の仕様を複雑にしている一因です。

最後に、この機能を本家版に提案してマージを検討してもらうことも、課題となります。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2013-05-20 19:47 Updated by: nishimoto
  • New Ticket "フォントサイズと段落インデントの通知をわかりやすくする" created
2014-06-02 16:03 Updated by: nishimoto
  • Milestone Update from (None) to 2014.3 (closed)
  • Resolution Update from None to Accepted
Comment

NVDA日本語チームから提案した Word 段落インデントの処理が、本家にマージされそうです。

community.nvda-project.org/ticket/4165

2014-06-03 14:18 Updated by: nishimoto
Comment

本家の next をマージしたら Word の段落インデントの処理が衝突しているので、 日本語チームの実装から本家の実装に移行したうえで、 改良の必要があれば本家に要望を出していくことにします。

2014-06-03 15:49 Updated by: nishimoto
Comment

本家の next をマージした日本語テスト版 jpalpha140603

https://dl.dropboxusercontent.com/u/62564469/nvda_jpalpha140603.exe

Windows 7 で Word 2010 の段落インデントの機能をテストしました。

first line indent 1モジ  左インデント 1モジ  右インデント 2モジ

のような読み上げになります。 ピクセルではなく文字数で通知するようになりました。

first line indent などのメッセージはいずれ翻訳チームのタスクとして日本語化できると思います。

2014-06-28 18:15 Updated by: nishimoto
  • Ticket Close date is changed to 2014-06-28 18:15
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

本家の master をマージして、日本語版の実装との衝突を解消しました。

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   0389f4e..c5d5bdd  jpbeta -> jpbeta

「書式設定」の report paragraph indentation をチェックにすると、 Word 2013 で文字単位の段落インデントを通知できることを確認しました。

Word の段落インデントの通知が本家の正式機能になったことで、 このチケットはクローズしたいと思います。

2014-06-28 18:17 Updated by: nishimoto
  • Summary Updated

Edit

Please login to add comment to this ticket » Login